Bug 1278215 - cassandra-jvm.properties.new includes Windows specific carriage return character "^M"
cassandra-jvm.properties.new includes Windows specific carriage return charac...
Status: CLOSED ERRATA
Product: JBoss Operations Network
Classification: JBoss
Component: Storage Node (Show other bugs)
JON 3.3.4
All Linux
high Severity high
: ER01
: JON 3.3.5
Assigned To: Michael Burman
Prachi
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-04 18:50 EST by Marc Shirley
Modified: 2016-02-03 10:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-03 10:03:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2041763 None None None Never

  None (edit)
Description Marc Shirley 2015-11-04 18:50:54 EST
Description of problem:
cassandra-jvm.properties.new in 3.3 update 4 includes the Windows carriage return character at the end of every line.  For any Linux/Unix user that copies this over their current cassandra-jvm.properties file, the storage node will now fail to start up.

Version-Release number of selected component (if applicable):
JBoss ON 3.3 Update 4

How reproducible:
Every time

Steps to Reproduce:
1. Extract the cassandra-jvm.properties.new file from Update 4
2. Open in a text editor such as 'vi' to see the ^M character at the end of every line
Comment 1 Michael Burman 2015-11-09 04:43:17 EST
Fixed in jon-git, release/jon3.3.x repository:

commit 5a2eba91c54abeecba8b204771a8a9714d069baf
Author: Michael Burman <yak@iki.fi>
Date:   Mon Nov 9 11:41:44 2015 +0200

    [BZ 1278215] Change linefeeds from \r\n to \n
Comment 2 Simeon Pinder 2015-12-09 01:29:05 EST
Moving to ON_QA as available to test with the following brew build:

JON Cumulative patch build: https://brewweb.devel.redhat.com/buildinfo?buildID=469635
  *Note: jon-server-patch-3.3.0.GA.zip maps to DR01 build of jon-server-3.3.0.GA-update-05.zip.
Comment 3 Prachi 2015-12-10 06:08:31 EST
Verified fixed in JON 3.3.5 (CP5_DR01)
Comment 5 errata-xmlrpc 2016-02-03 10:03:32 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-0118.html

Note You need to log in before you can comment on or make changes to this bug.